styles

## Class EmployeeStyle

- java.lang.Object
- - styles.EmployeeStyle

- All Implemented Interfaces:
    repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>

      public class EmployeeStyle
      extends java.lang.Object
      implements repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>

  Version:
    1.0
  Author:
    Alan Mills

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmployeeStyle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getBorderColor(Employee employee)`
    `int` | `getBorderSize(Employee employee)`
    `java.awt.Color` | `getColor(Employee employee)`
    `java.lang.String` | `getLabel(Employee employee)`
    `java.awt.Color` | `getLabelColor(Employee employee)`
    `java.awt.Font` | `getLabelFont(Employee employee)`
    `saf.v3d.scene.Position` | `getLabelPosition(Employee employee)`
    `float` | `getLabelXOffset(Employee employee)`
    `float` | `getLabelYOffset(Employee employee)`
    `float` | `getRotation(Employee employee)`
    `float` | `getScale(Employee employee)`
    `saf.v3d.scene.VSpatial` | `getVSpatial(Employee employee, saf.v3d.scene.VSpatial spatial)`
    `void` | `init(saf.v3d.ShapeFactory2D shapeFactory)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmployeeStyle

          public EmployeeStyle()

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel(Employee employee)

      Specified by:
        `getLabel` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getLabelFont

          public java.awt.Font getLabelFont(Employee employee)

      Specified by:
        `getLabelFont` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getLabelXOffset

          public float getLabelXOffset(Employee employee)

      Specified by:
        `getLabelXOffset` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getLabelYOffset

          public float getLabelYOffset(Employee employee)

      Specified by:
        `getLabelYOffset` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getLabelPosition

          public saf.v3d.scene.Position getLabelPosition(Employee employee)

      Specified by:
        `getLabelPosition` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getLabelColor

          public java.awt.Color getLabelColor(Employee employee)

      Specified by:
        `getLabelColor` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getVSpatial

          public saf.v3d.scene.VSpatial getVSpatial(Employee employee,
                                           saf.v3d.scene.VSpatial spatial)

      Specified by:
        `getVSpatial` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getColor

          public java.awt.Color getColor(Employee employee)

      Specified by:
        `getColor` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getScale

          public float getScale(Employee employee)

      Specified by:
        `getScale` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getBorderSize

          public int getBorderSize(Employee employee)

      Specified by:
        `getBorderSize` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getBorderColor

          public java.awt.Color getBorderColor(Employee employee)

      Specified by:
        `getBorderColor` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### init

          public void init(saf.v3d.ShapeFactory2D shapeFactory)

      Specified by:
        `init` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`

    - #### getRotation

          public float getRotation(Employee employee)

      Specified by:
        `getRotation` in interface `repast.simphony.visualizationOGL2D.StyleOGL2D<Employee>`